Index: c/src/lib/libbsp/a29k/portsw/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/a29k/portsw/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/a29k/portsw/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/hppa1.1/simhppa/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/hppa1.1/simhppa/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/i386/force386/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/i386/force386/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/i386/force386/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/i386/go32/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/i386/go32/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/i386/go32/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/i386/i386ex/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/i386/i386ex/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/i386/i386ex/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/i960/cvme961/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/i960/cvme961/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/i960/cvme961/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/dmv152/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/m68k/dmv152/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../shared
+VPATH=@srcdir@:@srcdir@/../../shared:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/efi332/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/efi332/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/m68k/efi332/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../shared
+VPATH=@srcdir@:@srcdir@/../../shared:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/efi68k/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/m68k/efi68k/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/gen68302/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/m68k/gen68302/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../shared
+VPATH=@srcdir@:@srcdir@/../../shared:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/gen68360/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/m68k/gen68360/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../shared
+VPATH=@srcdir@:@srcdir@/../../shared:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/idp/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/idp/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/m68k/idp/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../shared
+VPATH=@srcdir@:@srcdir@/../../shared:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/mvme136/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/m68k/mvme136/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../shared
+VPATH=@srcdir@:@srcdir@/../../shared:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/mvme147/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/m68k/mvme147/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../shared
+VPATH=@srcdir@:@srcdir@/../../shared:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/m68k/mvme162/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/m68k/mvme162/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@:@srcdir@/../../shared
+VPATH=@srcdir@:@srcdir@/../../shared:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/mips64orion/p4000/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/mips64orion/p4000/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/no_cpu/no_bsp/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/no_cpu/no_bsp/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/powerpc/papyrus/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/powerpc/papyrus/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
Index: c/src/lib/libbsp/shared/sbrk.c
===================================================================
--- c/src/lib/libbsp/shared/sbrk.c	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
+++ c/src/lib/libbsp/shared/sbrk.c	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -0,0 +1,32 @@
+/*
+ *  sbrk.c
+ *
+ *  If the BSP wants to dynamically allocate the memory for the
+ *  C Library heap (malloc) and/or be able to extend the heap,
+ *  then this routine must be functional.  This is the default
+ *  implementation which raises an error.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <rtems.h>
+
+#include <signal.h>
+#include <errno.h>
+#include <sys/types.h>
+#include <unistd.h>
+
+void * sbrk(size_t incr)
+{
+  errno = ENOMEM;
+  return (void *)-1;
+}
+
Index: c/src/lib/libbsp/sparc/erc32/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/startup/Makefile.in	(revision ecc4594a2ecec637ff609069d5987e7b4f2cee67)
+++ c/src/lib/libbsp/sparc/erc32/startup/Makefile.in	(revision b5847517fc62cc5a7b9761a79014f3327a67f788)
@@ -6,5 +6,5 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH=@srcdir@:../../../shared/@srcdir@
 
 PGM=${ARCH}/startup.rel
